Bug 239554 - HTS: The Audio ouput file isn't audible while certification is passed in "hts print"
HTS: The Audio ouput file isn't audible while certification is passed in "hts...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-09 09:45 EDT by Ram
Modified: 2008-07-16 17:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-18 09:39:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/alsa/alsa.conf file (7.49 KB, application/octet-stream)
2007-05-09 10:09 EDT, Ram
no flags Details
The result rpm file for PWS470 (535.88 KB, audio/x-pn-realaudio-plugin)
2007-05-11 02:09 EDT, Ram
no flags Details
Audio result rpm for PWS470(New) (564.59 KB, audio/x-pn-realaudio-plugin)
2007-05-15 11:57 EDT, Ram
no flags Details
Audio result file for PWS670 (New) (508.60 KB, audio/x-pn-realaudio-plugin)
2007-05-15 11:59 EDT, Ram
no flags Details
PWS470-audio-x86_64.rpm (898.42 KB, audio/x-pn-realaudio-plugin)
2007-05-24 09:36 EDT, Ram
no flags Details
PWS670-audio-x86_64.rpm (748.71 KB, audio/x-pn-realaudio-plugin)
2007-05-24 09:37 EDT, Ram
no flags Details

  None (edit)
Description Ram 2007-05-09 09:45:05 EDT
Description of problem:

After running audio test on PWS670 64 bit, if we play back the output audio 
file test.wav; nothing is heard. "hts print" showed the test as passed.
  
Version-Release number of selected component (if applicable):
hts version 5.0-32.noarch

How reproducible:
Every time on PWS670

Steps to Reproduce:
1. Install RHEL5GA Client x86_64 on PWS670
2. Install hts suite hts-5.0-32.noarch and any dependent rpms. Make volume to 
an audible level. 
3. Plug in headphone to front/rear audio ports to hear the sound from the 
audio certification.
4. Run "hts plan" and "hts certify -t audio"
5. Run "hts print" to verify that audio certification is actually passed.
6. Run "hts submit". Extract the output audio file by using rpm2cpio <audio-
result.rpm> |cpio -ivd. The audio file is in var directory which is created in 
the pwd.  

Actual results:
The output audio file test.wav is not audible using the installed media 
players like ----.

Expected results:
The audio file should be audible.

Additional info:
alsa-lib-1.0.12-3.el5
alsa-utils-1.0.12-3.fc6
kernel 2.6.18-8.el5 SMP
Volume Control for GNOME version: 2.16.1
Comment 1 Ram 2007-05-09 10:06:46 EDT
I used GNOME players like Movie Player and Rhythmbox to play back audio.wav. 
Attached is /etc/alsa/alsa.conf file.

Also please note that this happens for PWS670 only.
Comment 2 Ram 2007-05-09 10:09:30 EDT
Created attachment 154398 [details]
/etc/alsa/alsa.conf file

alsa.conf file
Comment 3 Ram 2007-05-11 02:09:08 EDT
Created attachment 154517 [details]
The result rpm file for PWS470
Comment 4 Ram 2007-05-11 02:18:49 EDT
The issue also occurs on PWS470. Above is the result rpm for audio cert for 
that system. 

additional info for PWS470:
alsa-lib-1.0.12-3.el5
alsa-utils-1.0.12-3.fc6
kernel 2.6.18-8.el5 SMP
Volume Control for GNOME version: 2.16.1

Same set of GNOME media players used.
Comment 5 YangKun 2007-05-14 22:47:41 EDT
Hi Ram,

Before running the AUDIO test, you need to either:
  1) plug in a speaker into the speaker-out port, and plug in a microphone into
the line-in port, then put the microphone near to the speaker;

Or
  2) use a loop back cable to connect speaker-out and line-in directly.

The AUDIO test will play a sound and meanwhile record this sound to test the
recording functionality. But it depends on us to manually check the recorded sound.
Comment 6 Ram 2007-05-15 11:56:15 EDT
YangKun,
Attached are the new audio rpms for PWS670 and PWS470. I followed what you 
said in  1)


Comment 7 Ram 2007-05-15 11:57:45 EDT
Created attachment 154746 [details]
Audio result rpm for PWS470(New)
Comment 8 Ram 2007-05-15 11:59:48 EDT
Created attachment 154747 [details]
Audio result file for PWS670 (New)
Comment 9 Xu Bo 2007-05-16 03:54:15 EDT
Ram, 
Unfortunately, from the 2 above AUDIO test results, it doesn't appear that the
recording phases have worked properly. I still heard silence. Need to check if
volume control is set to audible level(or set the max level) and use either
microphone/speaker or loop back cable between speaker out and Line In (as
appropriate) with the system and rerun the audio test. Please redo the test and
upload the result rpm. Seems only the AUDIO tests block the 2 cert. Thanks.
/Xu
Comment 10 Ram 2007-05-21 03:01:12 EDT
Working on it. I will try with loopback cable this time.
Comment 11 Ram 2007-05-24 09:36:47 EDT
Created attachment 155344 [details]
PWS470-audio-x86_64.rpm
Comment 12 Ram 2007-05-24 09:37:49 EDT
Created attachment 155345 [details]
PWS670-audio-x86_64.rpm
Comment 13 Greg Nichols 2007-10-22 09:26:28 EDT
Fixed R5 - please retest.
Comment 14 Ram 2007-12-17 23:43:18 EST
Fixed. We have tested it with RHEL5.

Note You need to log in before you can comment on or make changes to this bug.